package de.hawhamburg.reachability;

/**
 * Main project informations for the reachability agent and the user interface.
 * 
 * @author  {@value #REACHABILITY_AGENT_AUTHOR} 
 * @version {@value #REACHABILITY_AGENT_VERSION}
 */
public final class ProjectInfo {

    /**
     * The author of the reachability agent and its components.
     */
    public static final String  REACHABILITY_AGENT_AUTHOR       = "Malte Kantak <malte.kantak@hotmail.de>";

    /**
     * The current version of the reachability agent and its components.
     */
    public static final String  REACHABILITY_AGENT_VERSION      = "2013.42";

    /**
     * The institute where the reachability agent is developed.
     */
    public static final String  REACHABILITY_AGENT_INSTITUE     =
            "HAW Hamburg - Hochschule für angewandte Wissenschaften";
    
    /**
     * A short description of the purpose of this agent.
     */
    public static final String  REACHABILITY_AGENT_DESCRIPTION  =
            "An agent to determine the reachability of the inhabitant with a smart environment.";
    
    /**
     * The name of the reachability agent, used in common with the LP life cycle 
     * {@link de.hawhamburg.lifecycle.agent.LifeCycleAgent}.
     */
    public static final String  REACHABILITY_AGENT_NAME         = "ReachabilityAgent";
    
    /**
     * The name of the reachability agents working thread.
     */
    public static final String  REACHABILITY_AGENT_WORKER_NAME  = "ReachabilityAgentWorker";
    
    /**
     * No instances of this utility class.
     */
    private ProjectInfo() { }
}
