package de.hawhamburg.reachability.properties;

/**
 * Enumeration to describe types of display configurations for the properties management.<br><br>
 * 
 * This enumeration provides types of display configurations to be used in common with the properties service module and
 * the related configuration management user interface.
 * 
 * @author  {@value de.hawhamburg.reachability.ProjectInfo#REACHABILITY_AGENT_AUTHOR} 
 * @version {@value de.hawhamburg.reachability.ProjectInfo#REACHABILITY_AGENT_VERSION}
 */
public enum DisplayType {
    /**
     * There is a display type called <i>ENUM</i>. Shall be displayed as selectbox.
     */
    ENUM,
    /**
     * There is a display type called <i>INT</i>. Shall be displayed as textfield with integer validation checks.
     */
    INT,
    /**
     * There is a display type called <i>TEXTFIELD</i>. Shall be displayed as a textfield.
     */
    TEXTFIELD,
    /**
     * There is a display type called <i>AGENT_DEFINED</i>. Has a dynamic value range. Shall therefore be displayed as
     * selectbox.
     */
    AGENT_DEFINED;
}
