package de.hawhamburg.reachability.registry.json;

import de.hawhamburg.lifecycle.data.JsonLPObject;

/**
 * JSON message to invite all agents to send their register messages to the systems registry service.<br><br>
 * 
 * This class represents the JSON message with which the systems registry service initially invites all active agents
 * to send their register messages via the ActiveMQ.
 * 
 * @author  {@value de.hawhamburg.reachability.ProjectInfo#REACHABILITY_AGENT_AUTHOR} 
 * @version {@value de.hawhamburg.reachability.ProjectInfo#REACHABILITY_AGENT_VERSION}
 */
public class JsonRARegistryRequest extends JsonLPObject {
    
    /**
     * A remark.
     */
    public String Remark;
    
    /**
     * Public default constructor to create instances of this class.
     */
    public JsonRARegistryRequest() { }
}
